close all
clear 
clc

scene=figure; 
sizeScreen=get(0,'ScreenSize');
set(scene,'position',sizeScreen); 
axis equal; 
grid on; 

axis([-1 1 -1 1 -0 1]);
view([-35 35]); 



xlabel('x (m)')
ylabel('y (m)')
zlabel('z (m)')

camlight('headlight');
material('dull');

%% Posiciones angulares (Un solo punto)
% q1 = 45*(pi/180);
% q2 = -25*(pi/180);
% z =  0.1;
% 
% scaleRobot = 1;
% 
% robotPlot(q1,q2,z,scaleRobot);

%% Posiciones angulares (Trayectorias)
tf = 20;
ts = 0.1;
t = 0:ts:tf;
N = length(t);

q1 = 45*(pi/180)*sin(0.2*t);
q2 = 20*(pi/180)*sin(0.4*t);
z =  -0.2*sin(0.1*t);

scaleRobot = 1;

M1 = robotPlot(q1(1),q2(1),z(1),scaleRobot);

for k=1:N
    delete(M1)
    M1 = robotPlot(q1(k),q2(k),z(k),scaleRobot);
    pause(ts)
end



